//
// Created by Krad on 2021/11/11.
//

#ifndef GUI_GetRouteDialog_H
#define GUI_GETROUTEDIALOG_H

#include "GUIFormBaseDialog.h"
class QLineEdit;
class QLabel;
class GetRouteDialog :public  GUIFormBaseDialog {
	Q_OBJECT
public:
	explicit GetRouteDialog(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
	~GetRouteDialog();
	QStringList getList()const;
	void setList(const QStringList& list);
protected:
	bool updateReferenceData();
private:
	QLineEdit* _des = nullptr;
	QLineEdit* _mask = nullptr;
	QLineEdit* _gw = nullptr;
	QLabel* lbl_error = nullptr;
};


#endif //GUI_GetRouteDialog_H
